Package javax.help

# Class MainWindow

java.lang.Object
javax.help.Presentation
javax.help.WindowPresentation
javax.help.MainWindow

public class MainWindow extends WindowPresentation
MainWindow is a class that will create a single main help window for an application. Although there is generally only one per application there can be multiple MainWindow. By default it is a tri-paned fully decorated window consisting of a toolbar, navigator pane, and help content view. By default the class is not destroyed when the window exits.

Since:
  2.0
See Also:
  - `WindowPresentation`
  - `Presentation`

## Method Summary

Modifier and Type
Method
Description
`static Presentation`
`getPresentation(HelpSet hs, String name)`
Creates a new MainWindow for a given HelpSet and HelpSet.Presentation "name".

### Methods inherited from class javax.help.WindowPresentation

`createHelpWindow, destroy, getActivationWindow, getCurrentView, getFont, getHelpSetPresentation, getHelpWindow, getLocation, getScreen, getSize, getTitle, isDestroyedOnExit, isDisplayed, isTitleSetFromDocument, isToolbarDisplayed, isViewDisplayed, setActivationObject, setActivationWindow, setCurrentView, setDestroyOnExit, setDisplayed, setFont, setHelpSet, setHelpSetPresentation, setLocale, setLocation, setScreen, setSize, setTitle, setTitleFromDocument, setToolbarDisplayed, setViewDisplayed`

### Methods inherited from class javax.help.Presentation

`getCurrentID, getCurrentURL, getHelpModel, getHelpSet, getLocale, setCurrentID, setCurrentID, setCurrentURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPresentation

public static Presentation getPresentation(HelpSet hs, String name)
Creates a new MainWindow for a given HelpSet and HelpSet.Presentation "name". If the "name"d HelpSet.Presentation does not exist in HelpSet then the default HelpSet.Presentation is used.

Parameters:
  `hs` - The HelpSet used in this presentation
  `name` - The name of the Presentation to create - also the name of the HelpSet.Presentation to use.